#
# spec file for package python-pytest-instafail
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-pytest-instafail
Version:        0.4.0
Release:        2.1
License:        BSD-2-Clause
Summary:        Pytest Plugin to Show Failures Instantly
Url:            https://github.com/jpvanhal/pytest-instafail
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/p/pytest-instafail/pytest-instafail-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 2.9}
# /SECTION
Requires:       python-pytest >= 2.9
BuildArch:      noarch

%python_subpackages

%description
Pytest-instafail is a plugin for py.test that shows
failures and errors instantly instead of waiting
until the end of test session.

%prep
%setup -q -n pytest-instafail-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec test_instafail.py

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue May 29 2018 toddrme2178@gmail.com
- Update to version 0.4.0
  * Added support for Python 3.5, 3.6, and 3.7.
  * Dropped support for Python 2.7, 3.2, and 3.3.
  * Dropped support for pytest < 2.9.
  * Only rewrite lines on tty. Previously you would end up with a \r (^M) in case
    collecting of tests failed, and pytest's output is piped to a file. Thanks
    @blueyed for the PR.
  * Support -p no:terminal (#12). Thanks @Maratori for the PR.
* Mon Nov  6 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 0.3.0
  * Added support for Python 3.4
  * Added support for py.test 2.6
  * Fixed failing tests on py.test 2.6
- Update to version 0.2.0
  * Dropped support for Python 2.5.
  * Fixed stacktrace printed twice when using PDB.
  * Fixed internal error when a test marked as xfailing unexpectedly passes
  (David Szotten).
* Sun Jan 19 2014 toms@opensuse.org
- Initial version 0.1.1
